SCCgraph {nem} | R Documentation

## Combines Strongly Connected Components into single nodes

### Description

`SCCgraph` is used to identify all nodes which are not distinguishable given the data.

### Usage

    SCCgraph(x,name=TRUE,nlength=20)

### Arguments

`x` | graphNEL object or an adjacency matrix
`name` | Concatenate all names of summarized nodes, if TRUE, or number nodes, if FALSE. Default: TRUE
`nlength` | maximum length of names

### Details

A graph inferred by either `nem` or `nemModelSelection` may have cycles if some phenotypic profiles are not distinguishable. The function `SCCgraph` identifies cycles in the graph (the strongly conneced components) and summarizes them in a single node. The resulting graph is then acyclic.

### Value

`graph` | a graphNEL object with connected components of the input graph summarized into single nodes
`scc` | a list mapping SCCs to nodes
`which.scc` | a vector mapping nodes to SCCs

### Author(s)

Florian Markowetz <URL: http://genomics.princeton.edu/~florian>, Holger Froehlich <URL: http://www.dkfz.de/mga2/people/froehlich>

### See Also

`nem`, `transitive.reduction`

### Examples

       data("BoutrosRNAi2002")
       D   <- BoutrosRNAiDiscrete[,9:16]
       res <- nem(D,control=set.default.parameters(unique(colnames(D)), para=c(.13,.05)))
       #
       sccg <- SCCgraph(res$graph,name=TRUE)
       #
       par(mfrow=c(1,2))
       plot.nem(res, main="inferred from data")
       plot(sccg$graph, main="condensed (rel,key)")

[Package nem version 2.8.0 Index]